Jobs
Get Job Result
GET
/jobs/{job_qrn}/resultRetrieve the result data for a quantum job.
Args:
- job_qrn (string): Job QRN (qBraid Resource Name)
Returns:
- Result object containing job result data including measurement counts and timestamps
Raises:
- 404: Job is not found
- 409: Job results are not yet available or are not valid JSON
- 422: Validation error if the job_qrn parameter is invalid
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
job_qrnstringrequiredJob QRN (qBraid Resource Name)
Response
200Successful Response
successbooleanrequireddataobjectrequiredSchema for job result
404Job Not Found
409Conflict
422Validation Error
curl --request GET \
--url https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E/result \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E/result"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E/result";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": {
"status": "INITIALIZING",
"cost": 123,
"timeStamps": {
"createdAt": "2024-01-01T00:00:00Z",
"endedAt": "2024-01-01T00:00:00Z",
"executionDuration": 123
},
"resultData": {}
}
}{
"detail": "Job not found"
}{
"detail": "Job results not available yet"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}GET
Get Job Result
Get Job Result
Response
Fill in the request and press Send to see the live response.200
{
"success": true,
"data": {
"status": "COMPLETED",
"cost": 0.501875,
"timeStamps": {
"createdAt": "2025-01-15T10:30:00Z",
"endedAt": "2025-01-15T10:30:05Z",
"executionDuration": 5000
},
"resultData": {
"measurementCounts": { "00": 504, "11": 496 }
}
}
}Was this page helpful?
Thanks for your feedback.

